Zuplo Developer API

Client mTLS CA Certificates

Manage account-level client mTLS CA certificates


List Client mTLS CA Certificates

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates

Lists client mTLS CA certificates for an account.

List Client mTLS CA Certificates › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

List Client mTLS CA Certificates › Responses

The request has succeeded.

List of client mTLS CA certificates.

offset
​integer · int32 · required

Offset for pagination.

limit
​integer · int32 · required

Limit for pagination.


Create Client mTLS CA Certificate

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates

Creates a client mTLS CA certificate for an account.

Create Client mTLS CA Certificate › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Create Client mTLS CA Certificate › Request Body

name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca
certificate
​string · minLength: 1 · required

The PEM-encoded CA certificate.

Create Client mTLS CA Certificate › Responses

The request has succeeded and a new resource has been created as a result.

A client mTLS CA certificate configured for an account.
id
​string · readOnly · required

The unique identifier for the client mTLS CA certificate.

Example: cert_abc123
name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca
​object · required

Certificate information.

createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z

Update Client mTLS CA Certificate

PATCH
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates/{id}

Updates a client mTLS CA certificate.

Update Client mTLS CA Certificate › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

id
​string · required

The ID of the client mTLS CA certificate.

Update Client mTLS CA Certificate › Request Body

name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca

Update Client mTLS CA Certificate › Responses

The request has succeeded.

A client mTLS CA certificate configured for an account.
id
​string · readOnly · required

The unique identifier for the client mTLS CA certificate.

Example: cert_abc123
name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca
​object · required

Certificate information.

createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z

Delete Client mTLS CA Certificate

DELETE
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates/{id}

Deletes a client mTLS CA certificate.

Delete Client mTLS CA Certificate › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

id
​string · required

The ID of the client mTLS CA certificate.

Delete Client mTLS CA Certificate › Responses

There is no content to send for this request, but the headers may be useful.

No data returned